---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.buildsequelizewhere'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.buildsequelizewhere.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [buildSequelizeWhere](./sequelize.sequelizecrudrepository.buildsequelizewhere.md)

## SequelizeCrudRepository.buildSequelizeWhere() method

Build Sequelize compatible where condition object

**Signature:**

```typescript
protected buildSequelizeWhere<MT extends T>(where?: Where<MT>): WhereOptions<MT>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  where | [Where](./filter.where.md)<!-- -->&lt;MT&gt; | _(Optional)_ loopback style <code>where</code> condition |

**Returns:**

WhereOptions&lt;MT&gt;

Sequelize compatible where options to be used in queries


